package dao;

import java.util.List;

import trip.Route;
import trip.Stop;
import trip.Time_table;
import trip.Trip;

public interface Time_tableDAO extends GenericDao<Time_table> {
	List<Time_table> getByTrip(Trip trip);
	List<Time_table> getByRoute(Route route);
	int getVacantSeats(Stop departure, Stop arrival, Trip trip);
}
